## START: Set by rpmautospec
## (rpmautospec version 0.3.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check

%global crate rustcat

Name:           rust-%{crate}
Version:        1.3.0
Release:        %autorelease
Summary:        Rustcat - The Modern Port Listener & Reverse Shell

# Upstream license specification: MIT
License:        MIT
URL:            https://crates.io/crates/rustcat
Source:         %{crates_source}
# Initial patched metadata
# Temporarily downgrade rustyline to 8.2
Patch0:         rustcat-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Rustcat - The Modern Port Listener & Reverse Shell.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# rust-colored is MPLv2.0, the rest is MIT
License:        MIT and MPLv2.0

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%doc CODE_OF_CONDUCT.md README.md contributing.md
%{_bindir}/rcat

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

# Fix permissions
chmod -x CODE_OF_CONDUCT.md LICENSE README.md contributing.md

%build
%cargo_build

%install
%cargo_install
mv %{buildroot}%{_bindir}/rc %{buildroot}%{_bindir}/rcat

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 1.3.0-4
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 19 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 1.3.0-1
- Initial import; Fixes: RHBZ#1991150
